Subject: Re: bug#11049: [PATCH] Prevent NS event loop being re-entered (bug#11049)

From: Alan Third <[email-masked]>
Date: Thu, 07 Jul 2016 20:54:12 +0100

Alan Third <[email-masked]> writes:

> I'm happier with this one. There's already a mechanism available to
> say that we can't process input just now, just return -1. This seems
> neater than sending SIGABRT. I thought I could perhaps lose the
> emacs_abort further down in both functions, but presumably the
> function can be pre-empted between the check and ++apploopnr, which
> could be a problem, so I just left it in.

I've pushed to master and am closing the bug report.
-- 
Alan Third